Bug 1096934 (Distribute, Split-brain, with) - Duplicate files in same path. Possible Split-brain with distribute.
Summary: Duplicate files in same path. Possible Split-brain with distribute.
Keywords:
Status: CLOSED EOL
Alias: Distribute, Split-brain, with
Product: GlusterFS
Classification: Community
Component: distribute
Version: 3.4.1
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-12 17:54 UTC by Jason G Chang
Modified: 2015-10-07 12:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Hardware: description: Motherboard product: X9DR3-F vendor: Supermicro 2x Intel(R) Xeon(R) CPU E5-2609 v2 @ 2.50GHz 128GB RAM 82599EB 10-Gigabit SFI/SFP+ Network Connection OS: Ubuntu 13.04 Glusterfs 3.4.1 Filesystem is ZFS on Linux. 0.6.2-1~raring pool: rpool state: ONLINE scan: scrub repaired 0 in 0h3m with 0 errors on Thu May 1 06:55:18 2014 config: NAME STATE READ WRITE CKSUM rpool ONLINE 0 0 0 mirror-0 ONLINE 0 0 0 pci-0000:04:00.0-sas-0x5000c500574ffc8d-lun-0 ONLINE 0 0 0 pci-0000:04:00.0-sas-0x5000c5005786d96d-lun-0 ONLINE 0 0 0 errors: No known data errors pool: tank state: ONLINE scan: scrub repaired 0 in 24h5m with 0 errors on Fri May 2 06:57:08 2014 config: NAME STATE READ WRITE CKSUM tank ONLINE 0 0 0 raidz2-0 ONLINE 0 0 0 scsi-35000c50057868513 ONLINE 0 0 0 scsi-35000c500578627b3 ONLINE 0 0 0 scsi-35000c5005785dabb ONLINE 0 0 0 scsi-35000c5005786926f ONLINE 0 0 0 scsi-35000c5005785d7ef ONLINE 0 0 0 scsi-35000c50057812ecb ONLINE 0 0 0 scsi-35000c5005786255b ONLINE 0 0 0 scsi-35000c5005780571f ONLINE 0 0 0 scsi-35000c5005785d9ab ONLINE 0 0 0 scsi-35000c5005785cdaf ONLINE 0 0 0 scsi-35000c5005785ffaf ONLINE 0 0 0 scsi-35000c50057866cfb ONLINE 0 0 0 scsi-35000c50057805713 ONLINE 0 0 0 scsi-35000c5005785da9b ONLINE 0 0 0 scsi-35000c50057435dd3 ONLINE 0 0 0 scsi-35000c50057863dd3 ONLINE 0 0 0 scsi-35000c500574f9703 ONLINE 0 0 0 scsi-35000c500578877ef ONLINE 0 0 0 scsi-35000c5005785da0f ONLINE 0 0 0 scsi-35000c500578689fb ONLINE 0 0 0 scsi-35000c5005786b983 ONLINE 0 0 0 logs mirror-1 ONLINE 0 0 0 scsi-35000a7203008fe9d-part1 ONLINE 0 0 0 scsi-35000a7203008feb1-part1 ONLINE 0 0 0 cache scsi-35000a7203008fe9d-part2 ONLINE 0 0 0 scsi-35000a7203008feb1-part2 ONLINE 0 0 0 spares scsi-35000c50057503977 AVAIL errors: No known data errors
Last Closed: 2015-10-07 12:28:55 UTC
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
duplicate file information (881 bytes, text/plain)
2014-05-12 17:54 UTC, Jason G Chang
no flags Details

Description Jason G Chang 2014-05-12 17:54:35 UTC
Created attachment 894833 [details]
duplicate file information

Description of problem:
There are duplicate files with exact same size, same name in a same folder.
Only difference is gfid.


Version-Release number of selected component (if applicable):


How reproducible:
Unknown
file ownership changed recursively. Also, rsync was ran few times to sync from a single standalone server.
One of the servers went offline and brought back online after few hours.

Steps to Reproduce:
1.
2.
3.

Actual results:
Multiple files with same name and size.

Expected results:
Only single file in a directory.

Additional info:

Comment 1 Jason G Chang 2014-05-12 17:55:28 UTC
root@tank-2:/tank/builds/iw6/milestones/IW6_GOLD_BUILDS/gold_data/CRC/pc/zone# stat black_ice_outro_tr.ff
  File: 'black_ice_outro_tr.ff'
  Size: 4382223         Blocks: 8699       IO Block: 131072 regular file
Device: 17h/23d Inode: 41558518    Links: 2
Access: (0575/-r-xrwxr-x)  Uid: (    0/    root)   Gid: (13273/DOMAIN.LOCAL/builds-write)
Access: 2014-04-01 20:38:45.524167000 -0700
Modify: 2013-10-05 04:44:02.884438000 -0700
Change: 2014-05-01 12:20:48.876027196 -0700
 Birth: -


root@tank-1:/tank/builds/iw6/milestones/IW6_GOLD_BUILDS/gold_data/CRC/pc/zone# stat black_ice_outro_tr.ff
  File: 'black_ice_outro_tr.ff'
  Size: 4382223         Blocks: 8699       IO Block: 131072 regular file
Device: 18h/24d Inode: 48300944    Links: 1
Access: (0755/-rwxr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2014-04-07 09:55:02.406201637 -0700
Modify: 2014-04-07 09:55:02.902198262 -0700
Change: 2014-04-07 09:55:02.902198262 -0700
 Birth: -

Comment 2 Niels de Vos 2015-05-17 21:58:13 UTC
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.

Comment 3 Kaleb KEITHLEY 2015-10-07 12:28:55 UTC
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.


Note You need to log in before you can comment on or make changes to this bug.